Skip to content

Update Customer Address

Update an existing customer address.

Authentication

This query requires a valid customer authentication token in the Authorization header. Use the Customer Login API to retrieve the token.

Authorization: Bearer <accessToken>

Arguments

NameTypeRequiredDescription
addressIdInt✅ YesAddress ID to update
firstNameString❌ NoFirst name
lastNameString❌ NoLast name
companyNameString❌ NoCompany name
vatIdString❌ NoVAT identification number
emailString❌ NoEmail address
phoneString❌ NoPhone number
address1String❌ NoStreet address line 1
address2String❌ NoStreet address line 2
cityString❌ NoCity
stateString❌ NoState/Province
countryString❌ NoCountry code
postcodeString❌ NoPostal/Zip code
defaultAddressBoolean❌ NoSet as default address

Response

FieldTypeDescription
addUpdateCustomerAddressAddressUpdated address object

Validation Rules

  • Address ID must be valid and belong to the customer
  • All required fields must be provided if being updated
  • Valid country code must be provided if country is being changed
  • Phone number should be in valid format if provided

Error Responses

json
{
  "errors": {
    "message": ["Address not found or does not belong to this customer."],
  }
}

Released under the MIT License.